Early access: these pages are being written and reviewed. Facts in the header boxes come straight from the product.
Reply to an email
POST
/api/v1/email/inbox/{id}/reply
const url = 'https://api.pitch2sale.com/api/v1/email/inbox/example/reply';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"body_html":"example","body_text":"example","cc":["hello@example.com"],"bcc":["hello@example.com"],"attachments":[{"filename":"example","content_type":"example","s3_key":"example","size_bytes":1}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.pitch2sale.com/api/v1/email/inbox/example/reply \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "body_html": "example", "body_text": "example", "cc": [ "hello@example.com" ], "bcc": [ "hello@example.com" ], "attachments": [ { "filename": "example", "content_type": "example", "s3_key": "example", "size_bytes": 1 } ] }'Sends from the connected mailbox the email belongs to, in the same thread.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
body_html
required
string
body_text
string
cc
Array<string>
bcc
Array<string>
attachments
Array<object>
object
filename
required
string
content_type
required
string
s3_key
required
string
size_bytes
required
integer
Examplegenerated
{ "body_html": "example", "body_text": "example", "cc": [ "hello@example.com" ], "bcc": [ "hello@example.com" ], "attachments": [ { "filename": "example", "content_type": "example", "s3_key": "example", "size_bytes": 1 } ]}Responses
Section titled “Responses”OK
Validation failed
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Authentication required or token invalid
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Feature not available on the organization plan
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Role permission or token scope missing
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Rate limit exceeded
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}